Bug 14789 - gnomecc doesn't save sawfish configuration changes
gnomecc doesn't save sawfish configuration changes
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: sawfish (Show other bugs)
7.0
i386 Linux
high Severity medium
: ---
: ---
Assigned To: Havoc Pennington
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2000-07-28 10:32 EDT by Trond Eivind Glomsrxd
Modified: 2008-05-01 11:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2000-08-21 10:07:20 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Trond Eivind Glomsrxd 2000-07-28 10:32:35 EDT
When choosing not to display tooltips,  gnomecc applies this to sawfish but
doesn't save this state (and yes, I hit "OK", not "Try").

Here's a diff after disabling this:

[teg@hoser teg]$ diff -uNr .sawfish.orig/ .sawfish
diff -uNr .sawfish.orig/custom .sawfish/custom
--- .sawfish.orig/custom	Fri Jul 28 10:20:49 2000
+++ .sawfish/custom	Fri Jul 28 10:25:00 2000
@@ -1,5 +1,5 @@
 ;; sawfish user customization -- do not edit by hand!
-;; sawfish version 0.30.3, written Fri Jul 28 10:21:44 2000
+;; sawfish version 0.30.3, written Fri Jul 28 10:25:55 2000
 
 (custom-set-typed-variable (quote tooltips-enabled) (quote nil) (quote
boolean) (quote tooltips))
 (custom-set-keymap (quote global-keymap) (quote (keymap (cycle-windows .
"M-TAB") (move-viewport-right . "M-C-Right") (move-viewport-left .
"M-C-Left") (move-viewport-down . "M-C-Down") (move-viewport-up . "M-C-Up")
(xterm . "M-C-x") (delete-empty-workspaces . "M-C-D") (popup-window-list .
"M-ESC") ((run-shell-command "killall -9 netscape netscape-communicator
netscape-navigator") . "M-C-K") ((run-shell-command "netscape") .
"M-C-n"))))
[teg@hoser teg]$ 

As you can see, the only thing changed is the date.
Comment 1 Christian Rose 2000-08-04 08:47:17 EDT
Bug confirmed, and bug annoying.
Comment 2 Christian Rose 2000-08-04 10:12:07 EDT
This isn't just a bug with the tooltip displaying, there are many other
configuration options in sawfish that doesn't get changed when changed from
inside gnomecc.
For example, try to change the number of viewports... :-(

When I run sawfish-ui, I can change this, but not from gnomecc.

Seriously, IMHO this is a MUST-FIX, as a lot of users will get annoyed if they
can't change the default window manager behavior in Red Hat (sawfish-ui isn't
that well documented).
Comment 3 David Mason 2000-08-04 14:02:19 EDT
we think we are going to turn off the tool tips as they are large and ugly - but
we will look into the configuration tool not saving options...
Comment 4 Havoc Pennington 2000-08-06 23:32:51 EDT
Current info on this: if you hit "try" then "ok" it seems to work, if you hit 
only "ok" then it doesn't save. John Harper (sawfish author) says he couldn't
reproduce it, but he may have been hitting "try" first, I mentioned that to him.
Looking at the code, it looks to me like "try" and "ok" enter exactly the same
code path for saving the changes; I'll investigate further, first waiting to
hear back from John again.
Comment 5 Christian Rose 2000-08-07 05:16:40 EDT
I investigated this on my RH 6.2 + Helix system (sawfish 0.30.2, gnome-core
1.2.1) and it also behaves this way (you must hit "Try" before "OK").
Comment 6 Havoc Pennington 2000-08-21 10:06:37 EDT
Fix for this is in the test tree.

Note You need to log in before you can comment on or make changes to this bug.